using System.Web;
using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.IO;
using System.Drawing;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge
{
	/// <summary>
	/// search 的摘要说明。
	/// </summary>
	public class search
	{

		public search()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		public static DataTable selectAllPerson()
		{
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+System.Web.HttpContext.Current.Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			
			OleDbDataAdapter sda=new OleDbDataAdapter();
			sda.SelectCommand=new OleDbCommand("select * from Article",ACconn);
			DataSet ds=new DataSet();
			sda.Fill(ds,"Article");
			return ds.Tables["Article"];
		}
	}
}
